# Funkcja generująca liczby o sumie cyfr 9, mniejszych od N.
# Aktualnie rozpatrywana liczba to `liczba`, o sumie cyfr `suma\_cyfr`.
# Liczby zapisywane są w liście `liczby\_suma9`.
def GenerujSuma9(liczba, suma_cyfr, N, liczby_suma9):
  # Jeżeli liczba jest większa niż N, to wychodzimy z funkcji.
  if liczba > N: return
  # Jeżeli suma cyfr wynosi 9, to dopisujemy liczbę do listy.
  if suma_cyfr == 9: liczby_suma9.append(liczba)
  # Próbujemy dopisać nową cyfrę do już utworzonej liczby.
  # Możemy ograniczyć się do cyfr z przedziału [0, 9-suma\_cyfr].
  for nowa_cyfra in range(10-suma_cyfr):
    # Dodatkowy warunek, abyśmy nie próbowali stworzyć liczb typu 0000000.
    if liczba == 0 and nowa_cyfra == 0: continue
    # Dodajemy do liczby cyfrę na koniec
    nowa_liczba = 10 * liczba + nowa_cyfra
    # i zwiększamy sumę cyfr,
    nowa_suma_cyfr = suma_cyfr + nowa_cyfra
    # po czym wywołujemy funkcję rekurencyjnie.
    GenerujSuma9(nowa_liczba, nowa_suma_cyfr, N, liczby_suma9)


def main():
  # Wczytujemy ograniczenie górne.
  N = int(input())
  # Deklarujemy listę, którą wypełnimy liczbami o sumie cyfr 9.
  liczby_suma9 = []
  # Wywołujemy rekurencyjną funkcję, która szuka liczb o sumie cyfr 9.
  GenerujSuma9(0, 0, N, liczby_suma9)

  # Deklarujemy listę na liczby pechowe.
  liczby_pechowe = []
  # Dla każdej liczby o sumie cyfr 9,
  for liczba in liczby_suma9:
    # wstawiamy "13" w każde możliwe miejsce,
    div = 1
    # o ile mieścimy się w limicie,
    while liczba + 13 * div <= N:
      # oraz te miejsce jest wypełnione zerami.
      if liczba // div % 100 == 0:
        liczby_pechowe.append(liczba + 13 * div)
      div *= 10

  # Jako że liczby utworzone wyżej mogą się powtarzać, to usuwamy duplikaty.
  liczby_pechowe = list(set(liczby_pechowe))

  # Finalnie wypisujemy liczby pechowe.
  print(len(liczby_pechowe))

main()
